com.pivotal.gemfirexd.internal.client.am

## Interface PreparedStatementCallbackInterface

All Superinterfaces:
  StatementCallbackInterface, UnitOfWorkListener

All Known Implementing Classes:
  CallableStatement, CallableStatement40, PreparedStatement, PreparedStatement40, SingleHopPreparedStatement

    public interface PreparedStatementCallbackInterface
    extends StatementCallbackInterface

### Method Summary

Methods
`void` `completeDescribeInput(ColumnMetaData parameterMetaData, Sqlca sqlca)`
`void` `completeDescribeOutput(ColumnMetaData resultSetMetaData, Sqlca sqlca)`

### Methods inherited from interface com.pivotal.gemfirexd.internal.client.am.StatementCallbackInterface

`accumulateWarning, completeExecute, completeExecuteCall, completeExecuteCall, completeExecuteCallOpenQuery, completeExecuteImmediate, completeExecuteSetStatement, completeOpenQuery, completePrepare, completePrepareDescribeOutput, completeSqlca, completeStatementIDRead, getConnectionCallbackInterface, getGuessedResultSetMetaData, getSection`

### Methods inherited from interface com.pivotal.gemfirexd.internal.client.am.UnitOfWorkListener

`completeLocalCommit, completeLocalRollback, listenToUnitOfWork`

### Method Detail

#### completeDescribeInput

    void completeDescribeInput(ColumnMetaData parameterMetaData,
                             Sqlca sqlca)

#### completeDescribeOutput

    void completeDescribeOutput(ColumnMetaData resultSetMetaData,
                              Sqlca sqlca)